<script setup lang="ts">
import { useCountEmpTempStore } from '@/stores/countemp'
import { useEmployStore } from '@/stores/employee'
import { useStatusStore } from '@/stores/status'
import { Employee } from '@/types/Employee'
import { onMounted, ref } from 'vue'
import type { VForm } from 'vuetify/components'

const countEmpStore = useCountEmpTempStore()
const showEmployees = ref(false)
const showCount = ref(false)
const countTempEmploy = useCountEmpTempStore()
const employeeStore = useEmployStore()
const employee = ref<Employee>()

const headers = [
  {
    title: 'Name',
    key: 'name',
    value: 'name'
  },
  {
    title: 'Tel',
    key: 'tel',
    value: 'tel'
  },
  {
    title: 'Salary',
    key: 'salary',
    value: 'salary'
  },
  {
    title: 'Date In',
    key: 'dateIn',
    value: 'dateIn'
  },
  {
    title: 'Status',
    key: 'statusId',
    value: 'statusId'
  },
  {
    title: 'Branch',
    key: 'branchId',
    value: 'branchId'
  }
]
function searchfor(Input: string) {
  employeeStore.Employees = employeeStore.Employees.filter(function (CountEmps) {
    return (
      CountEmps.name.toLowerCase().includes(Input.toLowerCase()) || CountEmps.tel.includes(Input)
    )
  })
}

const input = ref('')

const createCountEmployee = () => {
  countTempEmploy.createCountEmployee({
    branchId: countEmpStore.ctem.branchId,
    dateIn: countEmpStore.ctem.dateIn,
    statusId: countEmpStore.ctem.statusId,
    name: countEmpStore.ctem.name,
    tel: countEmpStore.ctem.tel,
    salary: countEmpStore.ctem.salary
  })
}

onMounted(() => {
  employeeStore.getEmployees()
})
</script>

<template>
<<<<<<< HEAD
  <v-data-table :headers="headers" :items="countEmpStore.CountEmps">
    <template v-slot:top>
      <v-toolbar flat>
        <v-toolbar-title>Users</v-toolbar-title>
        <v-divider class="mx-4" inset vertical></v-divider>
        <v-spacer></v-spacer>
      </v-toolbar>
=======
    <v-data-table :headers="headers" :items="countEmpStore.CountEmps">
        <template v-slot:top>
            <v-toolbar flat style="background-color: rgb(247, 156, 82)">
                <v-toolbar-title style="color: white; font-weight: bold; font-size: 30px;">Users</v-toolbar-title>
                <v-divider class="mx-4" inset vertical></v-divider>
                <v-spacer></v-spacer>
            </v-toolbar>
>>>>>>> c5639218ab995223edae9640bf0f027f7b189db7

      <v-text-field
        v-model="countEmpStore.ctem.name"
        :rules="[(v) => !!v || 'Name is required!']"
        label="Name"
        required
        hide-details
      ></v-text-field>

      <v-text-field
        v-model="countEmpStore.ctem.tel"
        :rules="[(v) => !!v || 'Tel is required!']"
        label="Tel"
        required
        hide-details
      ></v-text-field>

      <v-text-field
        v-model="countEmpStore.ctem.salary"
        :rules="[(v) => !!v || 'Salary is required!']"
        label="Salary"
        required
        hide-details
      ></v-text-field>

      <v-text-field
        v-model="countEmpStore.ctem.dateIn"
        :rules="[(v) => !!v || 'Date In is required!']"
        label="Date In"
        required
        hide-details
      ></v-text-field>

      <v-text-field
        v-model="countEmpStore.ctem.statusId"
        :rules="[(v) => !!v || 'Status is required!']"
        label="Status"
        required
        hide-details
      ></v-text-field>

      <v-text-field
        v-model="countEmpStore.ctem.branchId"
        :rules="[(v) => !!v || 'Branch is required!']"
        label="Branch"
        required
        hide-details
      ></v-text-field>

      <v-btn @click="createCountEmployee()">click me</v-btn>
    </template>
  </v-data-table>
</template>
